<template>
  <div></div>
</template>

<script>
export default {
  name: 'ActivatePage',
  layout: 'errorLayout',
  fetchOnServer: false,
  fetch() {
    this.$store
      .dispatch('authService/activate', this.$route.params)
      .then(() => {
        this.$toast.success('Регистрация прошла успешно!', {
          duration: 5000,
        })
        this.$router.push('/#auth')
      })
      .catch(() => {
        this.$router.push('/')
      })
  },
}
</script>
